Bug 1550008 - [RFE] - CFME storage - add an option to create a new volume choosing disk type
Summary: [RFE] - CFME storage - add an option to create a new volume choosing disk type
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: GA
: 5.10.0
Assignee: Sam Lucidi
QA Contact: Ido Ovadia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-28 09:48 UTC by Vladimir Dulava
Modified: 2019-02-07 23:01 UTC (History)
11 users (show)

Fixed In Version: 5.10.0.21
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:17 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:24 UTC

Description Vladimir Dulava 2018-02-28 09:48:55 UTC
Description of problem:
Customer has three type of disk for his cloud infrastructure: 
  - SSD disk
  - Hiperf disk
  - Standard disk 
 In Openstack, there is an option to choose the type of disk when we create a new volume, however, this functionality isn't in CloudForms. So CU would like to have this option implemented also in CFME managing OSP.


How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 10 CFME Bot 2018-10-17 13:46:29 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/88f3a01cbb4cf14d437c1de355caaa3905d02c91
commit 88f3a01cbb4cf14d437c1de355caaa3905d02c91
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Tue Oct  2 10:48:20 2018 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Tue Oct  2 10:48:20 2018 -0400

    Merge pull request #4536 from mansam/openstack-create-volume-with-volume-type

    Allow selecting an optional volume type when creating an Openstack cloud volume

    (cherry picked from commit 7c4afa8014dd5b93637ce5650f85bd5e6ab4956c)

    https://bugzilla.redhat.com/show_bug.cgi?id=1550008

 app/assets/javascripts/controllers/cloud_volume/cloud_volume_form_controller.js | 37 +-
 app/controllers/cloud_volume_controller.rb | 5 +-
 app/views/cloud_volume/_common_new_edit.html.haml | 33 +-
 spec/controllers/cloud_volume_controller_spec.rb | 6 +-
 4 files changed, 51 insertions(+), 30 deletions(-)

Comment 11 Ido Ovadia 2018-11-25 14:24:08 UTC
Verified
========
CFME 5.10.0.24

Comment 12 errata-xmlrpc 2019-02-07 23:01:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.